com.pdfunit.validators

## Class MultiDocumentBookmarkDetailsValidator

- java.lang.Object
- - com.pdfunit.validators.MultiDocumentBookmarkDetailsValidator

-     @DoNotObfuscate
      public final class MultiDocumentBookmarkDetailsValidator
      extends java.lang.Object

  Validator for details of a bookmark in multiple PDF documents.
  Since:
    2016.05
  Author:
    Carsten Siedentop, March 2016
  See Also:
    `BookmarkDetailsValidator`

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MultiDocumentBookmarkDetailsValidator(java.util.Vector<BookmarkDetailsValidator> bookmarkDetailsValidators, MultiDocumentBookmarkValidator backReference)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MultiDocumentBookmarkValidator` | `withLabel(java.lang.String expectedLabel)` Validating an existing bookmark label in each given PDF document.
    `MultiDocumentBookmarkValidator` | `withLabelLinkingToPage(java.lang.String expectedLabel, int toPage)` This method verifies for each given PDF document that a bookmark label (given by the first parameter) exists, which points to the page (given by the second parameter).
    `MultiDocumentBookmarkValidator` | `withLinkToName(java.lang.String expectedName)` This method uses xpath internally to look for bookmarks with a link to the given name.
    `MultiDocumentBookmarkValidator` | `withLinkToPage(int toPage)` The method verifies for each given PDF document that a bookmark exists, which points to the page, given by the parameter.
    `MultiDocumentBookmarkValidator` | `withLinkToURI(java.lang.String expectedURI)` This method uses xpath internally to look for bookmarks with the given uri.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiDocumentBookmarkDetailsValidator

          protected MultiDocumentBookmarkDetailsValidator(java.util.Vector<BookmarkDetailsValidator> bookmarkDetailsValidators,
                                               MultiDocumentBookmarkValidator backReference)

  - ### Method Detail

    - #### withLabel

          @Guarded
          public MultiDocumentBookmarkValidator withLabel(java.lang.String expectedLabel)

      Validating an existing bookmark label in each given PDF document. Leading and trailing spaces of the name of the label will be trimmed.

    - #### withLinkToPage

          @Guarded
          public MultiDocumentBookmarkValidator withLinkToPage(int toPage)

      The method verifies for each given PDF document that a bookmark exists, which points to the page, given by the parameter.

    - #### withLabelLinkingToPage

          @Guarded
          public MultiDocumentBookmarkValidator withLabelLinkingToPage(java.lang.String expectedLabel,
                                                                      int toPage)

      This method verifies for each given PDF document that a bookmark label (given by the first parameter) exists, which points to the page (given by the second parameter).

    - #### withLinkToURI

          @Guarded
          public MultiDocumentBookmarkValidator withLinkToURI(java.lang.String expectedURI)

      This method uses xpath internally to look for bookmarks with the given uri. This was done for each given PDF document.

    - #### withLinkToName

          @Guarded
          public MultiDocumentBookmarkValidator withLinkToName(java.lang.String expectedName)

      This method uses xpath internally to look for bookmarks with a link to the given name. This was done for each given PDF document.

Copyright (C) PDFUnit.com. See here for license.